Class | Bio::Shell::Script
In: | lib/bio/shell/script.rb
Parent: | Object

### Methods

new

### Public Class methods

new(script)

[Source]

        # File lib/bio/shell/script.rb, line 15
    15:     def initialize(script)
    16:       Bio::Shell.cache[:binding] = TOPLEVEL_BINDING
    17:       Bio::Shell.load_session
    18:       eval(File.read(script), TOPLEVEL_BINDING)
    19:       exit
    20:     end

[Validate]